Members
Get Member by External ID
Returns a Member by External ID
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
external_id*string
Header Parameters
Members-Context?|
Members organization id (org_…) when the client has multiple organizations.
Response Body
application/json
application/json
curl -X GET "https://api.members.dev/v1/members/external/string"{
"id": "member_01KKSMB47VYGW97GFE67VGDK7M",
"short_id": "XF42",
"name": "John Doe",
"external_id": "ext_abc123",
"email": "string",
"email_verified": false,
"phone": {
"number": "string",
"country_code": "string"
},
"address": {
"address_line_1": "string",
"address_line_2": "string",
"city": "string",
"administrative_area": "string",
"postal_code": "string",
"country_code": "NZ"
},
"subscriptions": [
{
"id": "string",
"product": {
"product_id": "string"
}
}
],
"group_ids": [
"string"
],
"custom_fields": {},
"account_id": "string",
"status": "draft",
"pass": {
"id": "string",
"share_url": "string"
},
"created_at": null,
"updated_at": null
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}